import App from './App'

// 引入 uView UI
import uView from './uni_modules/vk-uview-ui';

// #ifndef VUE3
import Vue from 'vue'

// 引入 uView UI
Vue.use(uView);


Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	...App
});



import api from './api'
uni.api = api
uni.baseUrl = 'https://api.fangpiaovip.com/'

import * as tools from './utils/tool'
uni.$msg = tools.msgBase
uni.$msgConfirm = tools.confirmMsgFn

app.$mount();
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'

export function createApp() {
	const app = createSSRApp(App)
	return { app }
}
// #endif
